net.i2p.router.networkdb.kademlia

## Class DirectLookupMatchJob

- java.lang.Object
- - net.i2p.router.JobImpl
  - - net.i2p.router.networkdb.kademlia.FloodOnlyLookupMatchJob
    - - net.i2p.router.networkdb.kademlia.DirectLookupMatchJob

- All Implemented Interfaces:
    Job, ReplyJob

      class DirectLookupMatchJob
      extends FloodOnlyLookupMatchJob

  Override to not call failed() in setMessage(), as it will be called from runJob()

- - ### Field Summary

    - ### Fields inherited from class net.i2p.router.networkdb.kademlia.FloodOnlyLookupMatchJob

      `_log, _search, _success`

    - ### Fields inherited from class net.i2p.router.JobImpl

      `_id`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirectLookupMatchJob(RouterContext ctx, FloodSearchJob job)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Descriptive name of the task
    `void` | `setMessage(I2NPMessage message)` Override to not call failed() in setMessage(), as it will be called from runJob()

    - ### Methods inherited from class net.i2p.router.networkdb.kademlia.FloodOnlyLookupMatchJob

      `runJob`

    - ### Methods inherited from class net.i2p.router.JobImpl

      `dropped, getContext, getJobId, getMadeReadyOn, getTiming, madeReady, requeue, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.i2p.router.Job

      `dropped, getJobId, getTiming`

- - ### Constructor Detail

    - #### DirectLookupMatchJob

          public DirectLookupMatchJob(RouterContext ctx,
                                      FloodSearchJob job)

  - ### Method Detail

    - #### getName

          public String getName()

      Description copied from interface: `Job`
      Descriptive name of the task
      Specified by:
        `getName` in interface `Job`
      Overrides:
        `getName` in class `FloodOnlyLookupMatchJob`
      Returns:
        the descriptive name of the task

    - #### setMessage

          public void setMessage(I2NPMessage message)

      Override to not call failed() in setMessage(), as it will be called from runJob()
      Specified by:
        `setMessage` in interface `ReplyJob`
      Overrides:
        `setMessage` in class `FloodOnlyLookupMatchJob`